KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm upgrade - Upgrade your cluster smoothly to a newer version with this command

SYNOPSIS

kubeadm upgrade [OPTIONS]

DESCRIPTION

Upgrade your cluster smoothly to a newer version with this command

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm(1), kubeadm-upgrade-apply(1), kubeadm-upgrade-diff(1), kubeadm-upgrade-node(1), kubeadm-upgrade-plan(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!